from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XProfileManager(XInterface, Protocol):
    def bootupProfile(self, product: inMozillaProductType, profileName: instring) -> int: ...
    def shutdownProfile(self) -> int: ...
    def getCurrentProduct(self) -> MozillaProductType: ...
    def getCurrentProfile(self) -> str: ...
    def isCurrentProfileLocked(self) -> bool: ...
    def setCurrentProfile(self, product: inMozillaProductType, profileName: instring) -> str: ...
